i give the block name using the following source
ObjectCount = ThisDrawing.Blocks.count
blockName = "ELTABLO_" + Str(ObjectCount + 1)
end it was worked.
I create block with
Set blockTablo = ThisDrawing.Blocks.Add(insertPoint, blockName)
Then I add attributes.
Set blockTabloAttrib = blockTablo.AddAttribute(0.15, mode, "òðàôîïîñò", blockPoint, "ÒÏ", attrTrafopost)
All of source is working fine until now. The new block gets a part of old one...
Hi,
I want to make bloks with several attributes. I use Bloks.add() metod and it's work but evry new block that I create is added in the same block collection. When marking one of them they have all marked.
I'm doing the same thing with autolisp routine. Inserting block via autocad command...
Hallo, I'm want to enter a text in text property of TextBox. I read help exampels and using the following part of cod
Sub Eltablo()
Dim Trafopost, Izvod As String
Dim StalbNomer, TabloNomer As String
Dim tipTablo As String
Dim EPN As String
Dim Electromer, Tok As String...
First excuse me for my english! It's posible to written stupid things some times.
I'm using VBA for Autocad from month ago. I was written a program to put block with attribute, but the command Thisdrawing.Sendcommand dos't work and do not now why.
Please help!